Bug 1642137 - khal is broken on Fedora 29
Summary: khal is broken on Fedora 29
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: khal
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-23 17:25 UTC by James Szinger
Modified: 2018-12-30 03:20 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-30 03:20:56 UTC


Attachments (Terms of Use)

Description James Szinger 2018-10-23 17:25:08 UTC
Description of problem:

khal is broken on Fedora 29; trying to run it results in a traceback


Version-Release number of selected component (if applicable):

khal-0.9.9-1.fc29.noarch
python3-dateutil-2.7.0-3.fc29.noarch

How reproducible:
Always

Steps to Reproduce:
1. run khal

Actual results:

$ khal
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 578, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 895, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (python-dateutil 2.7.0 (/usr/lib/python3.7/site-packages), Requirement.parse('python-dateutil<=2.6.1'), {'khal'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/khal", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3112, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3096, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3125, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 580, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 593, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 781, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'python-dateutil<=2.6.1' distribution was not found and is required by khal

Expected results:
A calendar

Additional info:

Comment 1 Filipe Rosset 2018-10-27 17:16:40 UTC
please update to 0.9.10 (Support for python-dateutil 2.7)

Comment 2 Ulf Volmer 2018-11-08 08:15:16 UTC
because the is no activity in this report, as workaround i have edited /usr/lib/python3.7/site-packages/khal-0.9.9-py3.7.egg-info/requires.txt which solves the issue for me.

Comment 3 Timothée Floure 2018-11-29 18:45:00 UTC
I would gladly take over this package as co-maintainer if the current owners do not have enough time to update it :-)

Comment 4 Timothée Floure 2018-12-10 08:47:34 UTC
I submitted a PR bumping khal to 0.9.10 [0], fixing the crash.

[0] https://src.fedoraproject.org/rpms/khal/pull-request/1

Comment 5 Fedora Update System 2018-12-19 02:36:37 UTC
khal-0.9.10-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1647c22b66

Comment 6 Fedora Update System 2018-12-21 21:05:26 UTC
khal-0.9.10-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1647c22b66

Comment 7 Fedora Update System 2018-12-30 03:20:56 UTC
khal-0.9.10-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.